summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2010-09-05 05:53:51 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2010-09-05 05:53:51 (GMT)
commit9ed4a590299000e7328e1af912c117239a1cc75c (patch)
tree1e22028c4804644435518f1aeda60800bba89ac8
parent5ad04ad706e074c7fde14f44fdaa377858b1b043 (diff)
downloadlinhes_pkgbuild-9ed4a590299000e7328e1af912c117239a1cc75c.zip
linhes_pkgbuild-9ed4a590299000e7328e1af912c117239a1cc75c.tar.gz
linhes_pkgbuild-9ed4a590299000e7328e1af912c117239a1cc75c.tar.bz2
ppl:Bumped/Updated for LinHES 7.
-rw-r--r--abs/core-testing/ppl/PKGBUILD27
-rw-r--r--abs/core-testing/ppl/ppl-0.10.2-gmp-5.0.patch30
2 files changed, 57 insertions, 0 deletions
diff --git a/abs/core-testing/ppl/PKGBUILD b/abs/core-testing/ppl/PKGBUILD
new file mode 100644
index 0000000..e432e18
--- /dev/null
+++ b/abs/core-testing/ppl/PKGBUILD
@@ -0,0 +1,27 @@
+# $Id: PKGBUILD 72640 2010-03-19 03:03:03Z allan $
+# Maintainer: Allan McRae <allan@archlinux.org>
+# Contributor: ezzetabi <ezzetabi at gawab dot com>
+
+pkgname=ppl
+pkgver=0.10.2
+pkgrel=3
+pkgdesc="A modern library for convex polyhedra and other numerical abstractions."
+arch=('i686' 'x86_64')
+url="http://www.cs.unipr.it/ppl"
+license=('GPL3')
+depends=('gmp>=5.0')
+options=('!docs' '!libtool')
+source=(http://www.cs.unipr.it/ppl/Download/ftp/releases/$pkgver/ppl-$pkgver.tar.gz
+ ppl-0.10.2-gmp-5.0.patch)
+md5sums=('e7dd265afdeaea81f7e87a72b182d875'
+ '4da347693c76ccccba4fb5b60ca0f321')
+
+build() {
+ cd $srcdir/ppl-$pkgver
+ patch -Np1 -i $srcdir/ppl-0.10.2-gmp-5.0.patch
+ autoreconf -vf
+
+ ./configure --prefix=/usr --enable-interfaces="c,cxx" || return 1
+ make || return 1
+ make DESTDIR=$pkgdir install || return 1
+}
diff --git a/abs/core-testing/ppl/ppl-0.10.2-gmp-5.0.patch b/abs/core-testing/ppl/ppl-0.10.2-gmp-5.0.patch
new file mode 100644
index 0000000..4d6964a
--- /dev/null
+++ b/abs/core-testing/ppl/ppl-0.10.2-gmp-5.0.patch
@@ -0,0 +1,30 @@
+diff --git a/m4/ac_check_gmp.m4 b/m4/ac_check_gmp.m4
+index 60cecdc..15acb18 100644
+--- a/m4/ac_check_gmp.m4
++++ b/m4/ac_check_gmp.m4
+@@ -71,6 +71,10 @@ AC_RUN_IFELSE([AC_LANG_SOURCE([[
+ #GMP version 4.1.3 or higher is required
+ #endif
+
++#ifndef BITS_PER_MP_LIMB
++#define BITS_PER_MP_LIMB GMP_LIMB_BITS
++#endif
++
+ int
+ main() {
+ std::string header_version;
+@@ -97,11 +101,11 @@ main() {
+ return 1;
+ }
+
+- if (sizeof(mp_limb_t)*CHAR_BIT != GMP_LIMB_BITS
+- || GMP_LIMB_BITS != mp_bits_per_limb) {
++ if (sizeof(mp_limb_t)*CHAR_BIT != BITS_PER_MP_LIMB
++ || BITS_PER_MP_LIMB != mp_bits_per_limb) {
+ std::cerr
+ << "GMP header (gmp.h) and library (ligmp.*) bits-per-limb mismatch:\n"
+- << "header gives " << __GMP_BITS_PER_MP_LIMB << ";\n"
++ << "header gives " << BITS_PER_MP_LIMB << ";\n"
+ << "library gives " << mp_bits_per_limb << ".\n"
+ << "This probably means you are on a bi-arch system and\n"
+ << "you are compiling with the wrong header or linking with\n"